--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 13/323
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              22/07/2013  M Davenport       10.0.004.0
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
SET SCAN OFF
SET DEFINE OFF
--
PROMPT
PROMPT Script to regress MDD changes 13/323
PROMPT
PROMPT Version 10.0.004.0
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Remove RWE, RWE Supply & Trading GMBH as SHIP. (MDD 13/323)
PROMPT
--
--SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);

BEGIN
 

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE WHERE MARKET_PARTICIPANT_CODE = ''RWE'' AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE WHERE MARKET_PARTICIPANT_CODE = ''RWE'' AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT WHERE MARKET_PARTICIPANT_CODE = ''RWE''';


EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/

--
COMMIT
/
--
SET SCAN ON
SET DEFINE ON
SET VERIFY ON
--
